# Loki::PhoenixSingleton< T > Struct Template Reference
[Lifetime policies]

`#include <Singleton.h>`

List of all members.

## Detailed Description

### template<class T>
struct Loki::PhoenixSingleton< T >

Implementation of the LifetimePolicy used by SingletonHolder Schedules an object's destruction as per C++ rules, and it allows object recreation by not throwing an exception from OnDeadReference

The documentation for this struct was generated from the following file:

- Singleton.h